defmodule Zoeyscomputer.GistsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Zoeyscomputer.Gists` context.
  """

  @doc """
  Generate a gist.
  """
  def gist_fixture(attrs \\ %{}) do
    {:ok, gist} =
      attrs
      |> Enum.into(%{
        code: "some code",
        lang: "some lang"
      })
      |> Zoeyscomputer.Gists.create_gist()

    gist
  end
end
